Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.meta
Class StrategyInstaller

    java.lang.Object
      org.apache.openjpa.jdbc.meta.StrategyInstaller

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  MappingStrategyInstaller, NoneStrategyInstaller, RefreshStrategyInstaller, RuntimeStrategyInstaller

    public abstract class StrategyInstaller

extends Object
implements Serializable

Installs mapping strategies.

Since:
  0.4.0
Author:
  Abe White
See Also:
  Serialized Form

Field Summary
`protected MappingRepository` | `repos`

Constructor Summary
`StrategyInstaller(MappingRepository repos)` Constructor; supply repository.

Method Summary
`abstract void` | `installStrategy(ClassMapping cls)` Install a strategy on the given mapping.
`abstract void` | `installStrategy(Discriminator discrim)` Install a strategy on the given mapping.
`abstract void` | `installStrategy(FieldMapping fm)` Install a strategy on the given mapping.
`abstract void` | `installStrategy(Version version)` Install a strategy on the given mapping.
`boolean` | `isAdapting()` Return whether this installer adapts the given mapping data and schema, vs requiring that all information be supplied correctly.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### repos

    protected final MappingRepository repos

Constructor Detail

### StrategyInstaller

    public StrategyInstaller(MappingRepository repos)

  Constructor; supply repository.

Method Detail

### isAdapting

    public boolean isAdapting()

  Return whether this installer adapts the given mapping data and schema, vs requiring that all information be supplied correctly.

### installStrategy

    public abstract void installStrategy(ClassMapping cls)

  Install a strategy on the given mapping.

### installStrategy

    public abstract void installStrategy(FieldMapping fm)

  Install a strategy on the given mapping.

### installStrategy

    public abstract void installStrategy(Version version)

  Install a strategy on the given mapping.

### installStrategy

    public abstract void installStrategy(Discriminator discrim)

  Install a strategy on the given mapping.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.